<?= $this->extend('common/main_admin_view') ?>

<?= $this->section('content') ?>
<!--begin::Content-->
	<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
		<!--begin::Toolbar-->
		<div class="toolbar" id="kt_toolbar">
			<!--begin::Container-->
			<div id="kt_toolbar_container" class="container-fluid d-flex flex-stack">
				<!--begin::Page title-->
				<div data-kt-swapper="true" data-kt-swapper-mode="prepend" data-kt-swapper-parent="{default: '#kt_content_container', 'lg': '#kt_toolbar_container'}" class="page-title d-flex align-items-center flex-wrap me-3 mb-5 mb-lg-0">
					<!--begin::Title-->
					<h1 class="d-flex align-items-center text-dark fw-bolder my-1 fs-3"><?= @$title ?>
					<!--begin::Separator-->
					<span class="h-20px border-gray-200 border-start ms-3 mx-2"></span>
					<!--end::Separator-->
					<!--begin::Description-->
					<small class="text-muted fs-7 fw-bold my-1 ms-1"></small>
					<!--end::Description--></h1>
					<!--end::Title-->
				</div>
				<!--end::Page title-->
				<!--begin::Actions-->
				<div class="d-flex align-items-center py-1">
					<!--end::Button-->
				</div>
				<!--end::Actions-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Toolbar-->
		<!--begin::Post-->
		<div class="post d-flex flex-column-fluid" id="kt_post">
			<!--begin::Container-->
			<div id="kt_content_container" class="container">
				<!--begin::Row-->
				<div class="row gy-5 g-xl-8 justify-content-center">

					<div class="col-md-6">
						<div class="card">
							<div class="card-body">
								<div class="form-group">
									<label>Barcode</label>
									<input type="text" class="form-control scan-barcode" name="barcode">
								</div>
							</div>
						</div>
					</div>

					<div class="col-md-12">
						<form action="" class="submit-search">
							<div class="card">
								<div class="card-body">
									<div class="row">
										<div class="col-md-6 my-2">
											<div class="form-group">
												<label>Repair / Non Repair</label>
												<select class="form-control" name="select_repair">
													<option value="1">Semua</option>
													<option value="2">Repair</option>
													<option value="3">Non Repair</option>
												</select>
											</div>
										</div>
										<div class="col-md-3 my-2">
											<div class="form-group">
												<label>Dari Tanggal Proses</label>
												<input type="date" class="form-control" name="from_date">
											</div>
										</div>
										<div class="col-md-3 my-2">
											<div class="form-group">
												<label>Sampai Tanggal Proses</label>
												<input type="date" class="form-control" name="to_date">
											</div>
										</div>
										<div class="col-md-4 my-2">
											<div class="form-group">
												<label>SKU</label>
												<input type="text" class="form-control" name="sku">
											</div>
										</div>
										<div class="col-md-2 my-2">
											<div class="form-group">
												<label>Status Proses</label>
												<select data-control="select2" class="form-control" name="status">
													<option value="">-- Select --</option>
													<option value="Proses">Proses</option>
													<option value="Completed">Completed</option>
												</select>
											</div>
										</div>
										<div class="col-md-3 my-2">
											<div class="form-group">
												<label>Nota Order / Batch / Barcode</label>
												<input type="text" class="form-control" name="note">
											</div>
										</div>
										<div class="col-md-3 my-2">
											<label class="">&nbsp;</label>
											<button class="btn btn-primary form-control button-search">Cari</button>
										</div>
									</div>
								</div>
							</div>
						</form>
					</div>
					<!--begin::Col-->
					<div class="col-md-12">
						<!--begin::List Widget 5-->
						<div class="card mb-5">
							<div class="card-body pt-2">
								<div class="d-flex align-items-center position-relative my-1">
									<span class="svg-icon svg-icon-2 svg-icon-lg-1 svg-icon-gray-500 position-absolute top-50 translate-middle-y ms-3">
											<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
												<g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
													<rect x="0" y="0" width="24" height="24" />
													<path d="M14.2928932,16.7071068 C13.9023689,16.3165825 13.9023689,15.6834175 14.2928932,15.2928932 C14.6834175,14.9023689 15.3165825,14.9023689 15.7071068,15.2928932 L19.7071068,19.2928932 C20.0976311,19.6834175 20.0976311,20.3165825 19.7071068,20.7071068 C19.3165825,21.0976311 18.6834175,21.0976311 18.2928932,20.7071068 L14.2928932,16.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" />
													<path d="M11,16 C13.7614237,16 16,13.7614237 16,11 C16,8.23857625 13.7614237,6 11,6 C8.23857625,6 6,8.23857625 6,11 C6,13.7614237 8.23857625,16 11,16 Z M11,18 C7.13400675,18 4,14.8659932 4,11 C4,7.13400675 7.13400675,4 11,4 C14.8659932,4 18,7.13400675 18,11 C18,14.8659932 14.8659932,18 11,18 Z" fill="#000000" fill-rule="nonzero" />
												</g>
											</svg>
										</span>
							        <input type="text" data-kt-docs-table-filter="search" class="form-control form-control-solid w-500px ps-15" placeholder="Search <?= @$title ?>"/>
							    </div>
								<table id="kt_datatable" class="table table-striped table-row-bordered gy-5 gs-7">
								    <thead>
								        <tr class="fw-bold fs-6 text-gray-800">
								            <th class="min-w-10px">No</th>
								            <th class="min-w-100px">Aksi</th>
								            <th class="min-w-150px">Barang</th>
								            <th class="min-w-100px">Tanggal</th>
								            <th class="min-w-100px">Repair Dari</th>
								            <th class="min-w-100px">Nota Order</th>
								            <!-- <th class="min-w-100px">Batch Code</th> -->
								            <th class="min-w-150px">Barcode</th>
								            <th class="min-w-100px">Alur Kerja</th>
								        </tr>
								    </thead>
								    <tbody>
								    	
								    </tbody>
								</table>
							</div>
							<!--end: Card Body-->
						</div>
						<!--end: List Widget 5-->
					</div>
					<!--end::Col-->
				</div>
				<!--end::Row-->
			</div>
			<!--end::Container-->
		</div>
		<!--end::Post-->
	</div>
	<!--end::Content-->

<div class="modal fade" tabindex="-1" id="kt_modal_1">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Tambah Request Barang</h5>

                <!--begin::Close-->
                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal" aria-label="Close">
                    <span class="svg-icon svg-icon-2x"></span>
                </div>
                <!--end::Close-->
            </div>

            <form action="<?= base_url('/batch-item-request/create') ?>" class="submit add-batch-item-request">
            	<div class="modal-body">
	                <div class="row">
	                	<input type="hidden" name="bi_id" value="">
						<div class="col-md-6 mt-2">
	                		<label>Source</label>
	                		<select name="item_source" class="form-control mt-1">
	                			<option value="">-- Pilih --</option>
	                			<option value="Gudang Batu">Gudang Batu</option>
	                			<option value="Lainnya">Lainnya</option>
	                		</select>
	                	</div>
	                	<div class="col-md-6 mt-2">
	                		<label>SKU</label>
	                		<input type="text" name="item_sku" class="form-control mt-1">
	                	</div>
	                	<div class="col-md-6 mt-2">
	                		<label>Nama</label>
	                		<input type="text" name="item_name" class="form-control mt-1">
	                	</div>
	                	<div class="col-md-6 mt-2">
	                		<label>Jumlah</label>
	                		<input type="number" step="any" name="item_quantity" class="form-control mt-1">
	                	</div>
	                	<div class="col-md-6 mt-2">
	                		<label>Berat</label>
	                		<input type="number" step="any" name="item_weight" class="form-control mt-1">
	                	</div>
	                </div>
	            </div>

	            <div class="modal-footer">
	                <button type="button" class="btn btn-light" data-bs-dismiss="modal">Close</button>
	                <button type="submit" class="btn btn-primary button">Simpan</button>
	            </div>
            </form>
        </div>
    </div>
</div>
<?= $this->endSection() ?>

<?= $this->section('js') ?>
<script type="text/javascript">
$(document).ready(function(){
	"use strict";

	// Class definition
	var KTDatatablesServerSide = function () {
    // Shared variables
    var table;
    var dt;

    // Private functions
    var initDatatable = function () {
        dt = $("#kt_datatable").DataTable({
            responsive:false,
            // searchDelay: 500,
            processing: true,
            serverSide: false,
            ordering: false,
            select: {
                style: 'os',
                selector: 'td:first-child',
                className: 'row-selected'
            },
            ajax: {
                url: "<?= base_url() ?>/batch-item-task",
            },
            columns: [
                {data: 'no'},
                {data: 'action'},
                {data: 'item_name'},
                {data: 'date'},
                // {data: 'start_due_date'},
                {data: 'repair_from'},
                {data: 'order_note'},
                // {data: 'batch_code'},
                {data: 'group_note'},
                {data: 'workflow_name'},
            ],
        });

        table = dt.$;

        // Re-init functions on every table re-draw -- more info: https://datatables.net/reference/event/draw
        dt.on('draw', function () {
            initToggleToolbar();
            toggleToolbars();
            KTMenu.createInstances();
        });
    }

    var handleSearchDatatable = function () {
        const filterSearch = document.querySelector('[data-kt-docs-table-filter="search"]');
        filterSearch.addEventListener('keyup', function (e) {
            dt.search(e.target.value).draw();
        });
    }

    // Init toggle toolbar
    var initToggleToolbar = function () {
        const container = document.querySelector('#kt_datatable');
        const checkboxes = container.querySelectorAll('[type="checkbox"]');

        // Toggle delete selected toolbar
        checkboxes.forEach(c => {
            // Checkbox on click event
            c.addEventListener('click', function () {
                setTimeout(function () {
                    toggleToolbars();
                }, 50);
            });
        });
    }

    // Toggle toolbars
    var toggleToolbars = function () {
        // Define variables
        const container = document.querySelector('#kt_datatable');
        const toolbarBase = document.querySelector('[data-kt-docs-table-toolbar="base"]');
        const toolbarSelected = document.querySelector('[data-kt-docs-table-toolbar="selected"]');
        const selectedCount = document.querySelector('[data-kt-docs-table-select="selected_count"]');

        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        })

    }

	    // Public methods
	    return {
	        init: function () {
	            initDatatable();
	            handleSearchDatatable();
	            initToggleToolbar();
	        }
	    }
	}();

	// On document ready
	KTUtil.onDOMContentLoaded(function () {
	    KTDatatablesServerSide.init();
	});
});


$('.submit-search').submit(function(e){
	e.preventDefault();

	var data = $(this).serialize();
    var btn = $('.button-search').html();

    const delay = ms => new Promise(res => setTimeout(res, ms));

    const loadSearchStudent = async () => {
        $('.button-search').attr('data-kt-indicator', 'on');
        $('.button-search').attr('disabled', '');
        $('.button-search').html('<span class="indicator-progress">\
        <span class="spinner-border spinner-border-sm align-middle ms-2"></span>\
        </span>');
        await delay(1000);

        $('#kt_datatable').DataTable().ajax.url("<?= base_url() ?>/batch-item-task?"+data).load();

        await delay(1000);

        $('.button-search').removeAttr('disabled', '');
        $('.button-search').removeAttr('data-kt-indicator');
        $('.button-search').html(btn);
    }

    loadSearchStudent()

})

function batchItemRequest(bi_id){
	$('input[name="bi_id"]').val(bi_id);
}

 function deleteData(url){
    let konfirmasi = confirm('Are You Sure ?');

    if(konfirmasi){
       $.ajax({
        url : url,
        type : 'POST',
        dataType : 'JSON',
        success: function(response) {
            if (response.success) {
              alertToastr('success', response.success);
              $('#kt_datatable').DataTable().ajax.reload();
            }else if(response.error){
              alertToastr('error', response.error);
            }
        },
        error: function(xhr, ajaxOptions, thrownError) {
          alert(xhr.status + "\n" + xhr.responseText + "\n" + thrownError)
        }
      });
    }
  }

</script>
<script type="text/javascript">

	// $(document).on("keypress","form",function(e){
    //     if (e.which == 13 || e.keyCode == 13) {
    //         e.preventDefault();
    //         return false;
    //     }                
    // })

	$(".scan-barcode").bind('click', function(e) {
        e.preventDefault();
        if (e.which == 13 || e.keyCode == 13) {
            e.preventDefault();
            getBatchItemTask();
        }
    });

    $(".scan-barcode").bind('keydown', function(e) {
        if (e.which == 13 || e.keyCode == 13) {
            e.preventDefault();
            getBatchItemTask();
        }
    })

    function getBatchItemTask(){

    	var barcode = $('.scan-barcode').val()
    	window.open('<?= base_url("batch-item-task") ?>/'+barcode, '_blank');
    }
</script>
<?= $this->endSection() ?>