<!DOCTYPE html>
<html>
<head>
	<title>Nota</title>
	<style type="text/css">
		body {
			font-family: sans-serif;
			font-size: 11px;
		}
		.table1 {
		    font-family: sans-serif;
		    color: #232323;
		    border-collapse: collapse;
		}
		 
		.table1, .table1 th, .table1 td {
		    border: 1px solid #999;
		}

		.table1 th, .table1 td {
		    border: 1px solid #999;
		    padding: 8px 20px;
		}
	</style>
</head>
<body width="100%">
	<center>
		<?= $barcode['barcode'] ?><br>
		<?= $barcode['text'] ?>
	</center>
	<table style="width:100%">
		<tbody>
			<tr>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>NOTA</td>
							<td><?= $batch_item->order_note ?></td>
						</tr>
						<tr>
							<td>SKU</td>
							<td><?= $batch_item->sku ?></td>
						</tr>
						<tr>
							<td>NAMA</td>
							<td><?= $batch_item->name ?></td>
						</tr>
					</table>
				</td>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>TANGGAL ORDER</td>
							<td><?= getTanggal($batch_item->order_date) ?></td>
						</tr>
						<tr>
							<td>JATUH TEMPO</td>
							<td><?= getTanggal($batch_item->due_date) ?></td>
						</tr>
						<tr>
							<td>BARCODE</td>
							<td><?= $barcode['text'] ?></td>
						</tr>
					</table>
				</td>
				<td>
					<table class="table1" width="100%">
						<tr>
							<td>NAMA PELANGGAN</td>
							<td><?= $batch_item->customer_name ?></td>
						</tr>
						<tr>
							<td>ALAMAT</td>
							<td><?= $batch_item->customer_address ?></td>
						</tr>
						<tr>
							<td>TELP</td>
							<td><?= $batch_item->customer_phone ?></td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

	<table style="width:100%">
		<tbody>
			<tr>
				<td align="left" valign="top">
					<table class="table1" style="width:100%">
						<thead>
							<tr>
								<th colspan="7">Material</th>
							</tr>
							<tr>
								<th>No</th>
					            <th>Divisi</th>
					            <th>SKU</th>
					            <th>Nama</th>
					            <th>Jumlah</th>
					            <th>Berat</th>
					            <th>Status</th>
							</tr>
						</thead>
						<tbody>
							<?php 
							foreach ($batch_item_request as $key => $val): 
							?>
							<tr>
								<td><?= $key+1 ?></td>
								<td><?= $val->task_name ?></td>
								<td><?= $val->item_sku ?></td>
								<td><?= $val->item_name ?></td>
								<td><?= $val->item_quantity ?></td>
								<td><?= $val->item_weight ?></td>
								<td><?= $val->status ?></td>
							</tr>
							<?php endforeach ?>
							<?php if (empty($batch_item_request)): ?>
									<tr>
										<td colspan="6" align="center" height="100%">Kosong</td>
									</tr>
							<?php endif ?>
						</tbody>
					</table>
					<br>
					<table class="table1" style="width:100%">
					    <thead>
					    	<tr>
					    		<th colspan="6" align="center">Output</th>
					    	</tr>
					        <tr>
					            <th>Tanggal</th>
					            <th>Note</th>
					            <th>Proses</th>
					            <th>Jumlah</th>
					            <th>Berat</th>
					            <th>Keterangan</th>
					        </tr>
					    </thead>
					    <tbody>
					    	<?php foreach ($batch_item_output_data as $key => $value): ?>
				    		<tr>
				    			<td style="width: 150px;"><?= $value->insert_at ?></td>
				    			<td><?= $value->note ?></td>
				    			<td><?= $value->task_name ?></td>
								<td><?= $value->item_quantity ?></td>
								<td><?= $value->item_weight ?></td>
								<td><?= ($value->is_melt == 1)? 'Lebur': ''; ?></td>
							</tr>
					    	<?php endforeach ?>
					    	<?php if (empty($batch_item_output_data)): ?>
									<tr>
										<td colspan="6" align="center" height="100%">Kosong</td>
									</tr>
							<?php endif ?>
					    </tbody>
					</table>
				</td>
				<td align="left" valign="top">
					<table class="table1" width="100%">
						<tr>
							<td colspan="2">
								<?php 
									if ($batch_item->image != '') :
									$dataImage = json_decode($batch_item->image);
									foreach ($dataImage as $key => $val): ?>
											<img style="width: 100%;height: 100%;" src="<?= getenv('AWS_PATH') ?><?= $val ?>" class="img-fluid">
									<?php 
									endforeach;
									endif; 
								?>
							</td>
						</tr>
						<tr>
							<td rowspan="2" align="left" style="width: 300px">
								NAMA BARANG : <?= $batch_item->name ?><br> 
								KADAR EMAS : <?= $batch_item->gc_name ?><br>
								WARNA EMAS : <?= $batch_item->gt_name ?><br>
								NO MODEL : <?= $batch_item->print_no ?><br>
								BERAT BARANG JADI : +- <?= $batch_item->weight ?> GRAM<br>
								UKURAN RING : <?= $batch_item->size_name ?><br>
								JUMLAH :<?= $batch_item->quantity ?><br>
								JENIS BATU : <?= $batch_item->stone_type ?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</tbody>
	</table>

	<table class="table1" style="width: 100%; margin-top: 20px;">
		<thead>
			<tr>
				<th>PROSES</th>
				<th>QTY AWAL</th>
				<th>Berat AWAL</th>
				<th>QTY AKHIR</th>
				<th>BERAT AKHIR</th>
				<th>MASUK PROSES</th>
				<th>AKHIR PROSES</th>
				<th>PARAF</th>
				<th>OPERATOR</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($batch_item_task as $key => $val): ?>
			<tr>
				<td><?= $val->task_name ?></td>
				<td><?= ($val->start_at != '')? $val->input_quantity : '' ?></td>
				<td><?= ($val->start_at != '')? ifDecimalOrRound($val->input_weight) : '' ?></td>
				<td><?= ($val->end_at != '')? $val->output_quantity : '' ?></td>
				<td><?= ($val->end_at != '')? ifDecimalOrRound($val->output_weight) : '' ?></td>
				<td></td>
				<td></td>
				<td></td>
				<td><?= $val->input_operator_name ?></td>
			</tr>
			<?php endforeach ?>
			<?php if (empty($batch_item_task)): ?>
			<tr>
				<td colspan="5" height="100%" align="center">Kosong</td>
			</tr>
			<?php endif ?>
		</tbody>
	</table>

	<script type="text/javascript">
        window.print();
        window.onafterprint = back;

        function back() {
            window.close()
        }
    </script>
</body>
</html>