<!DOCTYPE html>
<html>
<head>
	<title><?= $title ?></title>
</head>
<body>
	<style type="text/css">
	body{
		font-family: sans-serif;
	}
	table{
		margin: 20px auto;
		border-collapse: collapse;
	}
	table th,
	table td{
		border: 1px solid #3c3c3c;
		padding: 3px 8px;

	}
	a{
		background: blue;
		color: #fff;
		padding: 8px 10px;
		text-decoration: none;
		border-radius: 2px;
	}
	</style>

	<?php


	header("Content-type: application/vnd-ms-excel");
	header("Content-Disposition: attachment; filename=".$title.".xls");


	if ($type == 'data') :
	?>
	<table border="1">
		<thead>
			<tr>
	            <th>Tanggal</th>
	            <th>Jumlah</th>
	            <th>Berat</th>
	        </tr>
	    </thead>
	    <tbody>
			<?php 

			$quantityTotal = 0;
            $weightTotal = 0;

			foreach($data as $key => $value){
			?>
			<tr>
	            <td><?= $value->date ?></td>
	            <td><?= $value->quantity ?></td>
	            <td><?= $value->weight ?></td>
			</tr>
			<?php 
				$quantityTotal += $value->quantity;
                $weightTotal += $value->weight;
			}
			?>
	    </tbody>
	    <tfoot>
			<tr>
				<th>Total</th>
	            <th><?= $quantityTotal ?></th>
	            <th><?= $weightTotal ?></th>
			</tr>
	    </tfoot>
	</table>
	<br>
	<?php elseif ($type == 'data2') : ?>
	<br>
	<table border="1">
		<thead>
			<tr>
				<th>Tanggal</th>
	            <th>Kadar</th>
	            <th>Jumlah Barang</th>
	            <th>Berat</th>
	            <th>Berat 24 Karat</th>
	        </tr>
	    </thead>
	    <tbody>
			<?php 

			$totalTotalWeight = 0;
            $totalTotalQuantity = 0;
            $totalTotalWeight24 = 0;

			foreach($data2 as $key => $val){
			?>
			<tr>
	            <td><?= $val->date ?></td>
	            <td><?= $val->gc_name ?></td>
	            <td><?= $val->total_quantity ?></td>
	            <td><?= $val->total_weight ?></td>
	            <td><?= round($val->total_weight*($val->gc_code/100), 2) ?></td>
			</tr>
			<?php 
				$totalTotalWeight += $val->total_weight;
                $totalTotalQuantity += $val->total_quantity;
                $totalTotalWeight24 += round($val->total_weight*($val->gc_code/100), 2);
			}
			?>
	    </tbody>
	    <tfoot>
			<tr>
				<th colspan="2">Total</th>
	            <th><?= round($totalTotalQuantity, 2) ?></th>
	            <th><?= round($totalTotalWeight, 2) ?></th>
	            <th><?= round($totalTotalWeight24, 2) ?></th>
			</tr>
	    </tfoot>
	</table>
	<?php elseif ($type == 'data3') : ?>
	<br>
	<table border="1">
		<thead>
			<tr>
				<th>Bulan</th>
	            <th>Kadar</th>
	            <th>Sum Jumlah Barang</th>
	            <th>Sum Berat</th>
	            <th>Sum Berat 24 Karat</th>
	        </tr>
	    </thead>
	    <tbody>
			<?php 

			$totalTotalWeight = 0;
            $totalTotalQuantity = 0;
            $totalTotalWeight24 = 0;

			foreach($data3 as $key => $val){
			?>
			<tr>
	            <td><?= getMonth($val->month) ?></td>
	            <td><?= $val->gc_name ?></td>
	            <td><?= $val->total_quantity ?></td>
	            <td><?= $val->total_weight ?></td>
	            <td><?= round($val->total_weight*($val->gc_code/100), 2) ?></td>
			</tr>
			<?php 
				$totalTotalWeight += $val->total_weight;
                $totalTotalQuantity += $val->total_quantity;
                $totalTotalWeight24 += round($val->total_weight*($val->gc_code/100), 2);
			}
			?>
	    </tbody>
	    <tfoot>
			<tr>
				<th colspan="2">Total</th>
	            <th><?= round($totalTotalQuantity, 2) ?></th>
	            <th><?= round($totalTotalWeight, 2) ?></th>
	            <th><?= round($totalTotalWeight24, 2) ?></th>
			</tr>
	    </tfoot>
	</table>
	<?php endif; ?>
</body>
</html>